graphics/lensfun - The NetBSD Packages Collection

Library for rectifying defects introduced by photographic equipment

The goal of the lensfun library is to provide a open source database
of photographic lenses and their characteristics. In the past there
was a effort in this direction, but then author decided to take
the commercial route and the database froze at the last public
stage. This database was used as the basement on which lensfun
database grew, thanks to PTLens author which gave his permission
for this, while the code was totally rewritten from scratch (and
the database was converted to a totally new, XML-based format).

The lensfun library not only provides a way to read the database
and search for specific things in it, but also provides a set of
algorithms for correcting images based on detailed knowledge of
lens properties. Right now lensfun is designed to correct distortion,
transversal (also known as lateral) chromatic aberrations, vignetting
and colour contribution of the lens (e.g. when sometimes people
says one lens gives "yellowish" images and another, say, "bluish").

Build dependencies

pkgtools/cwrappers devel/glib2-tools devel/cmake devel/gmake textproc/gsed devel/pkgconf

Runtime dependencies

devel/glib2 graphics/png lang/python38 lang/python38 devel/glib2 graphics/png

Binary packages

OSArchitectureVersion
NetBSD 8.0i386lensfun-0.3.2nb2.tgz
NetBSD 8.0i386lensfun-0.3.2nb3.tgz
NetBSD 8.0i386lensfun-0.3.2nb3.tgz
NetBSD 8.0x86_64lensfun-0.3.2nb3.tgz
NetBSD 8.0x86_64lensfun-0.3.2nb2.tgz
NetBSD 8.0x86_64lensfun-0.3.2nb3.tgz
NetBSD 9.0i386lensfun-0.3.2nb2.tgz
NetBSD 9.0i386lensfun-0.3.2nb3.tgz
NetBSD 9.0i386lensfun-0.3.2nb3.tgz
NetBSD 9.0x86_64lensfun-0.3.2nb2.tgz
NetBSD 9.0x86_64lensfun-0.3.2nb3.tgz
NetBSD 9.0x86_64lensfun-0.3.2nb3.tgz
NetBSD 9.0x86_64lensfun-0.3.2nb3.tgz
NetBSD 9.0x86_64lensfun-0.3.2nb2.tgz
NetBSD 9.0x86_64lensfun-0.3.2nb3.tgz
NetBSD 9.0x86_64lensfun-0.3.2nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.